Use this endpoint to renew your access_token after it expires.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Refreshing a personal token
Refresh tokens are used to obtain a new access_token after it expires. Each time you use a refresh token, a new access_token and a new refresh_token are issued — the previous refresh token is immediately invalidated.
Note: Refresh tokens don't expire on their own — they remain valid until used or explicitly revoked. Once a token is refreshed, the cycle can continue indefinitely.
Why you need to refresh your token
Access tokens expire after 1 hour regardless of how your integration was set up. This applies to both personal tokens and OAuth app tokens — there is no way to obtain a non-expiring access token. Your integration will need to securely store your refresh_token and handle refreshing automatically when the access_token expires.
| Endpoint | Description | Required Parameters |
|---|---|---|
| https://api.marketcircle.net/v1/personal_token/refresh_token?refresh_token=id | Exchange a refresh_token for a new access_token and refresh_token | Query Parameters
|